Subject: Re: bug#64055: [WIP Patch] Enable editing commit messages - vc-git-modify-change-comment

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Oct 2024 09:09:16 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sun, 20 Oct 2024 13:29:59 +0800
> 
> Hello,
> 
> On Sun 20 Oct 2024 at 07:58am +03, Eli Zaretskii wrote:
> 
> > It is this difference between Git and the rest that I don't yet see,
> > and you didn't explain it, just stated its existence.  Why is the
> > method necessary for Git, but not for other VCSes? they all produce
> > similar displays of log messages, complete with Author, Date, etc.,
> > and so the difficulties of extracting just the change log message
> > should affect all of them, no?
> 
> Ah, right.
> 
> The difference is that with Git you can use variables like
> vc-git-log-switches and vc-git-shortlog-switches to radically change the
> log output.  We can't realistically deal with all the possibilities from
> Lisp.
> 
> Whereas, so far as I understand, such customisation of the output is not
> available with the older VCS.

I see vc-hg-log-switches and vc-bzr-log-switches, so I don't think I
understand why you say Git is special here.  What did I miss?

In any case, the reason for having a backend method should be
explained in the comments.